- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes | Friends

# PSDFileMeta Class Reference

Search for all occurrences

## Detailed Description

The PSDFileMeta object contains meta data about the psd file, such header information, the number of layers, etc...

This is a self managed class, where it's data will be filled on PSDOpen().

Definition at line 312 of file LibPSD.h.

`#include <LibPSD.h>`

List of all members.

## Classes
class | ThumbnailResource
struct | VersionInfo
## Public Member Functions
| PSDFileMeta ()
| ~PSDFileMeta ()
float | GetXResolution () const
void | SetXResolution (float xres)
float | GetYResolution () const
void | SetYResolution (float yres)
unsigned short | GetResUnit () const
void | SetResUnit (unsigned short resUnit)
bool | SetFileHeaderStruct (unsigned int inWidth, unsigned int inHeight, unsigned short inColorDepth, unsigned short inChannels)
unsigned int | GetNbLayers () const
void | SetNbLayers (unsigned int nbLayers)
bool | SetColorModeData (unsigned char *colorModeData, unsigned int colorModeDataSize)
bool | LayerStateValid () const
unsigned short | GetLayerState () const
void | SetLayerState (unsigned short layerState)
void | Synch ()
## Public Attributes
PSD_FILE_HEADER | m_hdr
VersionInfo | m_vi
ThumbnailResource * | m_pThumbnail
unsigned int | m_numLayers
std::vector< IMAGERESOURCES * > | m_vImageRes
## Friends
class | PSDFile

## Constructor & Destructor Documentation

PSDFileMeta | ( |  | ) |

~PSDFileMeta | ( |  | ) |

## Member Function Documentation

float GetXResolution | ( |  | ) | const

Search for all occurrences

void SetXResolution | ( | float | xres | ) |

Search for all occurrences

float GetYResolution | ( |  | ) | const

Search for all occurrences

void SetYResolution | ( | float | yres | ) |

Search for all occurrences

unsigned short GetResUnit | ( |  | ) | const

Search for all occurrences

void SetResUnit | ( | unsigned short | resUnit | ) |

Search for all occurrences

bool SetFileHeaderStruct | ( | unsigned int | inWidth,
|  | unsigned int | inHeight,
|  | unsigned short | inColorDepth,
|  | unsigned short | inChannels
| ) |  |

Search for all occurrences

unsigned int GetNbLayers | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 383 of file LibPSD.h.

    { return m_numLayers; }

void SetNbLayers | ( | unsigned int | nbLayers | ) | `[inline]`

Search for all occurrences

Definition at line 384 of file LibPSD.h.

    { m_numLayers = nbLayers; }

bool SetColorModeData | ( | unsigned char * | colorModeData,
|  | unsigned int | colorModeDataSize
| ) |  |

Search for all occurrences

bool LayerStateValid | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 391 of file LibPSD.h.

    { return m_pLayerState != 0;   }

unsigned short GetLayerState | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 392 of file LibPSD.h.

    { return m_pLayerState->state; }

void SetLayerState | ( | unsigned short | layerState | ) |

Search for all occurrences

void Synch | ( |  | ) |

Search for all occurrences

## Friends And Related Function Documentation

friend class PSDFile `[friend]`

Search for all occurrences

Definition at line 314 of file LibPSD.h.

## Member Data Documentation

PSD_FILE_HEADER m_hdr

Search for all occurrences

Definition at line 398 of file LibPSD.h.

VersionInfo m_vi

Search for all occurrences

Definition at line 399 of file LibPSD.h.

ThumbnailResource* m_pThumbnail

Search for all occurrences

Definition at line 400 of file LibPSD.h.

unsigned int m_numLayers

Search for all occurrences

Definition at line 401 of file LibPSD.h.

std::vector<IMAGERESOURCES*> m_vImageRes

Search for all occurrences

Definition at line 403 of file LibPSD.h.

The documentation for this class was generated from the following file:

- Mudbox/LibPSD.h

PSDFileMeta PSDFileMeta PSDFileMeta PSDFileMeta PSDFileMeta PSDFileMeta PSDFileMeta PSDFileMeta PSDFileMeta PSDFileMeta
PSDFileMeta PSDFileMeta PSDFileMeta PSDFileMeta PSDFileMeta PSDFileMeta PSDFileMeta PSDFileMeta PSDFileMeta PSDFileMeta